Fantasy Grounds Fridays Pre
Page 66 of 103 First ... 1656646566676876 ... Last
  1. #651
    Quote Originally Posted by JLBatman View Post
    Hello Axoid,

    For the script error - It's 99% likely to be interacting with another extension and the two don't get along. Which ones do you have?

    The second issue is just one of clicking the clear saves button at the top right of that map's tool bar. Looks sort of like a 20-sided die in wireframe. Click that, and it clears them all.

    I have several. I'll list them here.
    12pt clear font for SE
    5E - Action Abilities 1.2 (with wounds)
    5E - Advanced Effects
    5E - Change Initiative, Update Effects
    5E - Curse of Strahd
    5E Extension - NPC flavours
    Theogeek's Improved Critical
    Window Saver

    And of course 5E Combat Enhance and Core RPG - Token Helper

    For the saves icon overlays, I tried that and it didn't work. The button didn't seem to do anything.

  2. #652
    well, we can rule out curse of strahd, as I've got that one with combat enhancer. I can also rule out window saver for you, as I'm using that as well. But some of those others that are changing actions or effects might be it. This enhancer has a lot of slick things that affect those.

    Some other peeps might be able to give you better info, but I would suggest stripping them all out and then walking back up, in order of your favorites. =)

  3. #653
    LordEntrails's Avatar
    Join Date
    May 2015
    Location
    -7 UTC
    Posts
    12,408
    Blog Entries
    9
    Quote Originally Posted by Axoid View Post
    I have several. I'll list them here.
    12pt clear font for SE
    5E - Action Abilities 1.2 (with wounds)
    5E - Advanced Effects
    5E - Change Initiative, Update Effects
    5E - Curse of Strahd
    5E Extension - NPC flavours
    Theogeek's Improved Critical
    Window Saver

    And of course 5E Combat Enhance and Core RPG - Token Helper

    For the saves icon overlays, I tried that and it didn't work. The button didn't seem to do anything.
    Turn them off one at a time until you find the problem. This extension is extensive (ha!) and if you use it with any other extensions you have to test it to make sure these types of things aren't a problem.

  4. #654
    Quote Originally Posted by LordEntrails View Post
    Turn them off one at a time until you find the problem. This extension is extensive (ha!) and if you use it with any other extensions you have to test it to make sure these types of things aren't a problem.
    Will, do, and I'll report back after.

  5. #655
    I turned all other extensions off except the two for the CE, as well as Window Saver and the COS theme. I still get the script error when I try to make a ranged attack. I tried removing and reinstalling the grid, as well as moving the tokens to different maps. Nothing worked. If I click the icon next to the weapon, to change it from ranged to melee to thrown, the error only pops up when its either thrown or ranged. Melee works OK.

    I also tried equipping the weapon from the inventory sheet, and re-equipping it.

    I have the latest version of FG installed, with an ultimate license.

  6. #656
    The DM and players can both drag and drop conditions onto themselves (token or in CT). If the condition already exists on the target when dropped, it is removed instead.
    Is there a way to turn that off?

  7. #657
    @StarDrifter

    No. As it's a quality of life addition I don't see myself adding a switch for that. Having the players being able to do so as well can take more work of you as a GM.
    Of course this relies on being able to trust your players, but I've not had any issues with that in any of my games.

    ps. I suppose you could keep an eye on things over a few sessions to make sure if it looks otherwise. In the end these are just tools, to be used as reminders and/or for some additional automation.
    Extension writer, FGU Backer, Ultimate License holder.

    5E Enhancer (development and support on hold for now)

    Combat Enhancer 5E Classic (no longer officially supported, community support only)

    ps. Do not send PM's for support for the extensions I write, I will not not be able to respond there. Use the relevant forum threads instead so the community can benefit from the replies, thank you.



  8. #658
    @Axoid

    Please fill out a bug report so I can look into it.

    Bug Report

    Is your FG software up to date?

    Do you have the latest version of both extensions installed?
    (You can see the most up to date version numbers in the first post on page 1, the version numbers are printed in FG on start in the chat.)

    How much memory is Fantasy Grounds using while the error occurs? (You can check this in the Task Manager if you're using Windows)

    Please post the console error printout here:
    (This is the error log window text. It can be opened by typing '/console' in the FG text window if it didn't open by itself. Also if there are no output errors, state that here.)

    If you create a new (clean) campaign, does the error still occur, with ONLY the 5E Combat Enhancer and Token Helper extensions enabled?

    Can you recreate the error consistently?

    What are the precise steps to recreating the error?

    Does this always happen?

    Does this only happen when using a specific module, map, NPC, PC, weapon, etc.?
    (The more in depth information on which these are the better.)

    Do you have a screenshot you could share?

    Any further information that could help to replicate and trace the error?
    Last edited by Styrmir; August 4th, 2019 at 12:59.
    Extension writer, FGU Backer, Ultimate License holder.

    5E Enhancer (development and support on hold for now)

    Combat Enhancer 5E Classic (no longer officially supported, community support only)

    ps. Do not send PM's for support for the extensions I write, I will not not be able to respond there. Use the relevant forum threads instead so the community can benefit from the replies, thank you.



  9. #659
    Bug Report

    Is your FG software up to date?
    Yes, always have been.

    Do you have the latest version of both extensions installed?
    (You can see the most up to date version numbers in the first post on page 1, the version numbers are printed in FG on start in the chat.)
    Yes, I'm subscribed to this thread so I always download when you post an update. I read most posts.

    How much memory is Fantasy Grounds using while the error occurs? (You can check this in the Task Manager if you're using Windows)
    No answer for now but I'll try to check if it happens again. How do I check this on a Mac?

    Please post the console error printout here:
    (This is the error log window text. It can be opened by typing '/console' in the FG text window if it didn't open by itself. Also if there are no output errors, state that here.)
    Script Error: [string "scripts/manager_ping.lua"]:96: attempt to index local 'w' (a nil value)
    Script Warning: onZoom: Recursive control event or call terminated (imagecontrollay_image)
    Script Warning: onZoom: Recursive control event or call terminated (imagecontrollay_image)
    Don't know if the first line is relevant or not, the last line is looping without change.

    If you create a new (clean) campaign, does the error still occur, with ONLY the 5E Combat Enhancer and Token Helper extensions enabled?
    Happened in two separate campaigns during play. Not necessarily "clean".

    Can you recreate the error consistently?
    So far, no. That's why I can't try individual extensions. If there's a certain way to replicate I can check combination of extension to see.

    Does this always happen?
    Rarely. But %100 breaks the game if the map is being actively used with tokens.

    Does this only happen when using a specific module, map, NPC, PC, weapon, etc.?
    Not that I have seen. Experienced it on different modules and maps.

  10. #660
    Bug Report

    Is your FG software up to date?
    Yes

    Do you have the latest version of both extensions installed?
    Yes, I confirmed

    How much memory is Fantasy Grounds using while the error occurs? (You can check this in the Task Manager if you're using Windows)
    1,929.5MB

    [U]Please post the console error printout here:
    I get two slightly different errors, for different characters
    Script Error: [string "scripts/ranged_attacks.lua"]:478: bad argument #1 to 'match' (string expected, got nil)
    Script Error: [string "scripts/ranged_attacks.lua"]:482: bad argument #1 to 'find' (string expected, got nil)

    If you create a new (clean) campaign, does the error still occur, with ONLY the 5E Combat Enhancer and Token Helper extensions enabled?
    It does not. I created a new campaign, and only loaded the two extensions and three modules (PHB, DMG, and MM). I created a very basic fighter (only class), and added 3 ranged weapons (light xbow, shortbow, longbow). All three weapons did not give the error regardless of the token location.

    Can you recreate the error consistently?
    Yes

    What are the precise steps to recreating the error?
    I did some more digging. When both tokens are are the same map, ranged attacks with weapons give the error. If one or both tokens are just in the combat tracker (and not shown on the combat map) then the error does not happen. Also, regardless of where the tokens are, ranged attacks with spells are OK as are ranged attacks from NPCs

    Does this always happen?
    As noted above, yes

    Does this only happen when using a specific module, map, NPC, PC, weapon, etc.?
    I tried it with multiple characters and multiple weapons vs multiple targets on multiple maps.

    Do you have a screenshot you could share?
    Not really, it's just the error log info that I shared

    Any further information that could help to replicate and trace the error?
    So I tried completely removing the weapon from the character's inventory and adding it back, and that seemed to fix the issue. I can make ranged attacks without the error popping up. I tried this on multiple characters with multiple weapons. Might explain why the ranged spells worked since there wasn't an inventory item to match it. I also closed the campaign and re-opened it and the characters with the 'new' weapons still worked ok, while the ones with the 'old' weapons still got the error. I then went back and added on all the extensions I use and the issue did not change (still get an error on 'old' weapons and no error on 'new' weapons) So all these extensions seem to work OK together with the combat enhancer
    12pt clear font for SE
    5E - Action Abilities 1.2 (with wounds)
    5E - Advanced Effects
    5E - Change Initiative, Update Effects
    5E - Curse of Strahd
    5E Extension - NPC flavours
    Theogeek's Improved Critical
    Window Saver



    So to recap, the error only happens with 'existing' weapons in a character's inventory, and only if both the tokens (attacker and target) are on the map together. It does not happen if I delete the weapon and add it back in the character's inventory, nor does it happen on ranged spell attacks or if an NPC makes a ranged attack against a character.

    So my fix for now is to delete existing ranged attack weapons and add them back in.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
5E Character Create Playlist

Log in

Log in